Package org.drinkless.tdlib

# Class TdApi.EmojiStatus

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.EmojiStatus

Enclosing class:
  `TdApi`

public static class TdApi.EmojiStatus extends TdApi.Object
Describes an emoji to be shown instead of the Telegram Premium badge.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `expirationDate`
  Point in time (Unix timestamp) when the status will expire; 0 if never.
  `TdApi.EmojiStatusType`
  `type`
  Type of the emoji status.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EmojiStatus()`
  Describes an emoji to be shown instead of the Telegram Premium badge.
  `EmojiStatus(TdApi.EmojiStatusType type, int expirationDate)`
  Describes an emoji to be shown instead of the Telegram Premium badge.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### type

    public TdApi.EmojiStatusType type
    Type of the emoji status.

  - ### expirationDate

    public int expirationDate
    Point in time (Unix timestamp) when the status will expire; 0 if never.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### EmojiStatus

    public EmojiStatus()
    Describes an emoji to be shown instead of the Telegram Premium badge.

  - ### EmojiStatus

    public EmojiStatus(TdApi.EmojiStatusType type, int expirationDate)
    Describes an emoji to be shown instead of the Telegram Premium badge.
    Parameters:
      `type` - Type of the emoji status.
      `expirationDate` - Point in time (Unix timestamp) when the status will expire; 0 if never.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR